import type { Validation } from '@vuelidate/core';
import { Ref } from 'vue';
export type UseFieldValidationParams = {
    field: Ref<Validation>;
    customValidators?: Array<object>;
};
export declare const useFieldValidation: ({ field: inputV, customValidators: inputCustomValidators, }: UseFieldValidationParams) => {
    isValidation: import("vue").ComputedRef<boolean>;
    invalid: import("vue").ComputedRef<boolean>;
    validationText: import("vue").ComputedRef<string>;
};
export declare const useVuelidateFieldValidation: ({ field: inputV, customValidators: inputCustomValidators, }: UseFieldValidationParams) => {
    isValidation: import("vue").ComputedRef<boolean>;
    invalid: import("vue").ComputedRef<boolean>;
    validationText: import("vue").ComputedRef<string>;
};
